/* ==========================================================================
   #POMODORO APP STYLES
   ========================================================================== */

/**
 *
 * Inheriting box sizing slightly better best-practice
 * https://css-tricks.com/inheriting-box-sizing-probably-slightly-better-best-practice/
 *
 */

html {
  box-sizing: border-box;
}
@import url('https://fonts.googleapis.com/css2?family=Londrina+Sketch&display=swap');

*, *::before, *::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}
#loader {
  top: 0;
  position: absolute;
  width: 100%;
  height: 100%;
  background: beige url("https://i.gifer.com/I5zI.gif");
  background-size: auto;
  z-index: 999;
  transition: 0.2s;
}



:root {
  --pomodoro-1: url("https://c.tenor.com/VR7e9ogArgYAAAAd/lofi-lofigirl.gif");
  --shortBreak-1: url("https://c.tenor.com/VR7e9ogArgYAAAAd/lofi-lofigirl.gif");
  --longBreak-1: #8E806A;
}

body {
  background-image: var(--pomodoro-1);
  background-size: cover;
  background-color: #cccccc;
  transition: background-image 1s ease;
  user-select: none;
  resize: both;
  overflow: scroll;
  font-family: 'Harmattan', sans-serif;
}

progress {
  border-radius: 2px;
  width: 100%;
  height: 12px;
  position: fixed;
  top: 0;
}

progress::-webkit-progress-bar {
 background-color: rgba(0, 0, 0, 0.1);;
}

progress::-webkit-progress-value {
  background-color: tomato;
}

.timer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 20px;
  text-align: center;
}

.clock {
  margin-left: 16%;
  margin-top: 50px;
  margin-bottom: 30px;
  font-size: 6rem;
  line-height: 1;
  display: flex;
  align-items: center;
  font-family: monospace;
  color: white;
  -webkit-text-stroke-width: 6px;
  -webkit-text-stroke-color: black;
}

.mode-button {
  font-size: 16px;
  height: 28px;
  cursor: pointer;
  box-shadow: none;
  font-weight: 300;
  font-family: courier;
  color: tomato;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: white;
  border: 1px solid transparent;
  margin: 0px;
  border-radius: 4px;
  padding: 2px 12px;
  background: none;
}

.mode-button.active {
  border-color: white;
  border-width: 2px;
}

.main-button {
  cursor: pointer;
  font-size: 22px;
  height: 55px;
  text-transform: uppercase;
  color: white;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: black;
  font-weight: bold;
  font-family: courier;
  width: 200px;
  background-color: white;
  border: 3px solid black;
  margin: 20px 0px 0px;
  padding: 0px 12px;
  border-radius: 4px;
  transition: color 0.5s ease-in-out 0s;
}

button:focus, button:active {
  outline: none;
}

.main-button.active {
  transform: translateY(6px);
  box-shadow: none;
  outline: none;
}

.hidden {
  display: none;
}

@media screen and (max-width: 550px) {
  .clock {
    font-size: 8rem;
  }
}
@media (max-width: 35em) {
  body {
    background-image: url("https://wallpaperaccess.com/full/2471302.gif");
  }
  .clock {
    margin-left: 0;
    font-size: 6rem;
  }
  .mode-button {
    font-size: 10px;
  }

}
